## libsavitar 3.1.0

=== CMakeLists.txt ===
project(savitar)
cmake_minimum_required(VERSION 2.8.12)

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

option(BUILD_PYTHON "Build " ON)
option(BUILD_STATIC "Build as a static library" OFF)


add_subdirectory(pugixml)

if(BUILD_PYTHON)
    set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
    find_package(SIP REQUIRED)
    if(NOT DEFINED LIB_SUFFIX)
        set(LIB_SUFFIX "")
    endif()
    if(EXISTS /etc/debian_version)
        # Running on a debian-based system, which requires special handling for python modules.
        set(PYTHON_SITE_PACKAGES_DIR lib${LIB_SUFFIX}/python3/dist-packages CACHE STRING "Directory to install Python bindings to")
    else()
        set(PYTHON_SITE_PACKAGES_DIR lib${LIB_SUFFIX}/python${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}/site-packages CACHE STRING "Directory to install Python bindings to")
    endif()
    include_directories(python/ src/ ${SIP_INCLUDE_DIR} ${PYTHON_INCLUDE_DIR})
endif()

if(NOT ${CMAKE_VERSION} VERSION_LESS 3.1)
    set(CMAKE_CXX_STANDARD 11)
else()
    set(CMAKE_CXX_FLAGS "-std=c++11")
endif()

if(APPLE AND CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
endif()


set(savitar_SRCS
    src/ThreeMFParser.cpp
    src/SceneNode.cpp
    src/Scene.cpp
    src/MeshData.cpp
    src/Vertex.cpp
    src/Face.cpp
)

set(savitar_HDRS
    src/ThreeMFParser.h
    src/Types.h
    src/SceneNode.h
    src/Scene.h
    src/MeshData.h
    src/Vertex.h
    src/Face.h
    src/SavitarExport.h
)

set(SAVITAR_VERSION 0.1.0)
set(SAVITAR_SOVERSION 0)

set(CMAKE_INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR})

if(BUILD_STATIC)
    add_library(Savitar STATIC ${savitar_SRCS})
else()
    add_library(Savitar SHARED ${savitar_SRCS})
endif()

target_link_libraries(Savitar PUBLIC pugixml)

if(NOT WIN32 OR CMAKE_COMPILER_IS_GNUCXX)
    set_target_properties(Savitar PROPERTIES COMPILE_FLAGS -fPIC)
endif()


if(BUILD_PYTHON)
    set(SIP_EXTRA_FILES_DEPEND python/Types.sip python/MeshData.sip python/SceneNode.sip python/Scene.sip)
    #set(SIP_EXTRA_SOURCE_FILES python/Types.cpp)
    set(SIP_EXTRA_OPTIONS -g) # -g means always release the GIL before calling C++ methods.
    add_sip_python_module(Savitar python/ThreeMFParser.sip Savitar)
endif()

target_include_directories(Savitar PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

if(${CMAKE_BUILD_TYPE})
    if(${CMAKE_BUILD_TYPE} STREQUAL "Debug" OR ${CMAKE_BUILD_TYPE} STREQUAL "RelWithDebInfo")
        add_definitions(-DSAVITAR_DEBUG)
    endif()
endif()

set_target_properties(Savitar PROPERTIES
    FRAMEWORK FALSE
    VERSION ${SAVITAR_VERSION}
    SOVERSION ${SAVITAR_SOVERSION}
    PUBLIC_HEADER "${savitar_HDRS}"
    DEFINE_SYMBOL MAKE_SAVITAR_LIB
)

install(TARGETS Savitar
    EXPORT Savitar-targets
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/Savitar
)

install(EXPORT Savitar-targets
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/Savitar
)

configure_package_config_file(SavitarConfig.cmake.in ${CMAKE_BINARY_DIR}/SavitarConfig.cmake INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/Savitar)
write_basic_package_version_file(${CMAKE_BINARY_DIR}/SavitarConfigVersion.cmake VERSION ${SAVITAR_VERSION} COMPATIBILITY SameMajorVersion)

install(FILES
    ${CMAKE_BINARY_DIR}/SavitarConfig.cmake
    ${CMAKE_BINARY_DIR}/SavitarConfigVersion.cmake
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/Savitar
)

=== pugixml/CMakeLists.txt ===
project(pugixml)

cmake_minimum_required(VERSION 2.6)

option(BUILD_SHARED_LIBS "Build shared instead of static library" OFF)
option(BUILD_TESTS "Build tests" OFF)
option(BUILD_PKGCONFIG "Build in PKGCONFIG mode" OFF)

set(BUILD_DEFINES "" CACHE STRING "Build defines")

if(MSVC)
        option(STATIC_CRT "Use static CRT libraries" OFF)

        # Rewrite command line flags to use /MT if necessary
        if(STATIC_CRT)
                foreach(flag_var
                                CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE
                                CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
                        if(${flag_var} MATCHES "/MD")
                                string(REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
                        endif(${flag_var} MATCHES "/MD")
                endforeach(flag_var)
        endif()
endif()

# Pre-defines standard install locations on *nix systems.
include(GNUInstallDirs)
mark_as_advanced(CLEAR CMAKE_INSTALL_LIBDIR CMAKE_INSTALL_INCLUDEDIR)

set(HEADERS src/pugixml.hpp src/pugiconfig.hpp)
set(SOURCES ${HEADERS} src/pugixml.cpp)

if(DEFINED BUILD_DEFINES)
        foreach(DEFINE ${BUILD_DEFINES})
                add_definitions("-D" ${DEFINE})
        endforeach()
endif()

if(BUILD_SHARED_LIBS)
        add_library(pugixml SHARED ${SOURCES})
else()
        add_library(pugixml STATIC ${SOURCES})
endif()

set_target_properties(pugixml PROPERTIES COMPILE_FLAGS -fPIC)

# Enable C++11 long long for compilers that are capable of it
if(NOT ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} STRLESS 3.1 AND ";${CMAKE_CXX_COMPILE_FEATURES};" MATCHES ";cxx_long_long_type;")
        target_compile_features(pugixml PUBLIC cxx_long_long_type)
endif()

set_target_properties(pugixml PROPERTIES VERSION 1.8 SOVERSION 1)
get_target_property(PUGIXML_VERSION_STRING pugixml VERSION)

if(BUILD_PKGCONFIG)
        # Install library into its own directory under LIBDIR
        set(INSTALL_SUFFIX /pugixml-${PUGIXML_VERSION_STRING})
endif()

install(TARGETS pugixml EXPORT pugixml-config
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}${INSTALL_SUFFIX}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}${INSTALL_SUFFIX}
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES ${HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}${INSTALL_SUFFIX})
install(EXPORT pugixml-config DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/pugixml)

if(BUILD_PKGCONFIG)
        configure_file(scripts/pugixml.pc.in ${PROJECT_BINARY_DIR}/pugixml.pc @ONLY)
        install(FILES ${PROJECT_BINARY_DIR}/pugixml.pc DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/pkgconfig)
endif()

if(BUILD_TESTS)
        file(GLOB TEST_SOURCES tests/*.cpp)
        file(GLOB FUZZ_SOURCES tests/fuzz_*.cpp)
        list(REMOVE_ITEM TEST_SOURCES ${FUZZ_SOURCES})

        add_executable(check ${TEST_SOURCES})
        target_link_libraries(check pugixml)
        add_custom_command(TARGET check POST_BUILD COMMAND check WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
endif()

=== debian/changelog ===
libsavitar (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0

 -- Gregor Riepl <onitake@gmail.com>  Sat, 23 Dec 2017 12:39:22 +0100

libsavitar (3.0.3-3) unstable; urgency=medium

  [ Gregor Riepl ]
  * Fixed incorrect quoting in symbols file (Closes: #881493).
  * Some copyright file corrections (Closes: #881483).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 21 Nov 2017 02:25:24 +0000

libsavitar (3.0.3-2) unstable; urgency=medium

  [ Gregor Riepl ]
  * Removed license deviation for src/Face.h and added clarification about the
    incorrect license header
  * Symbols update for archs other than amd64

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 13 Nov 2017 15:10:17 +0100

libsavitar (3.0.3-1) unstable; urgency=medium

  [ Gregor Riepl ]
  * Updated to version 3.0.3.
  * Upstream license change from AGPL-3+ to LGPL-3+.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 29 Oct 2017 07:27:58 +0000

libsavitar (2.6.0-1) unstable; urgency=medium

  [ Gregor Riepl ]
  * Initial Debian release. See #706656.
  * Based on upstream release 2.6.0, as this version includes patches that
    separate the C++ library from the Python SIP module.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 08 Oct 2017 06:02:13 +0000

=== debian/control ===
Source: libsavitar
Priority: optional
Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
Uploaders: Gregor Riepl <onitake@gmail.com>
Build-Depends: debhelper (>= 10), cmake (>=2.8.12), dh-python,
 libpugixml-dev (>=1.7),
 python3-all-dev, python3-sip-dev
Standards-Version: 4.1.2
Section: libs
X-Python3-Version: >= 3.5
Homepage: https://github.com/Ultimaker/libSavitar
Vcs-Browser: https://anonscm.debian.org/cgit/3dprinter/packages/libsavitar.git/
Vcs-Git: https://anonscm.debian.org/git/3dprinter/packages/libsavitar.git

Package: libsavitar0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 3MF file handling library (shared library)
 Savitar is a C++ library with Python 3 bindings for
 reading and writing 3MF files.
 .
 3MF is an interchange format for sharing 3D models and other 3D printing
 data between related software and 3D printers.
 It is XML based and standardised by the 3MF consortium.
 .
 This package contains the shared library.

Package: libsavitar-dev
Section: libdevel
Architecture: any
Depends: libsavitar0 (= ${binary:Version}), libpugixml-dev (>=1.7), ${misc:Depends}
Description: 3MF file handling library (development files)
 Savitar is a C++ library with Python 3 bindings for
 reading and writing 3MF files.
 .
 3MF is an interchange format for sharing 3D models and other 3D printing
 data between related software and 3D printers.
 It is XML based and standardised by the 3MF consortium.
 .
 This package contains C++ headers and other development files.

Package: python3-savitar
Section: python
Architecture: any
Depends: libsavitar0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: 3MF file handling library (Python bindings)
 Savitar is a C++ library with Python 3 bindings for
 reading and writing 3MF files.
 .
 3MF is an interchange format for sharing 3D models and other 3D printing
 data between related software and 3D printers.
 It is XML based and standardised by the 3MF consortium.
 .
 This package contains the Python 3 bindings.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1
# Apply hardening flags (see: https://wiki.debian.org/Hardening#Notes_for_packages_using_CMake)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem=cmake --with python3 --parallel

## libsavitar 3.3.0

=== debian/changelog ===
libsavitar (3.3.0-3) unstable; urgency=medium

  [Gregor Riepl]
  * Depend on python3-dev since we're not building for all Python
    interpreters.
    Closes: #909730

  [Matthias Klose]
  * Mark more symbols as optional not seen when building with -O3.
    Closes: #912413

  [ Gregor Riepl ]
  * Added new missing generated symbols (related to #912413).

  [ Petter Reinholdtsen ]
  * Corrected incorrectly blacklisting of python3-sip version 4.19.12+dfsg-1.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 08 Dec 2018 14:59:14 +0000

libsavitar (3.3.0-2) unstable; urgency=medium

  * Blacklisted incompatible python3-sip version (4.19.11+dfsg-1)
  * Made more symbols optional to allow for -O3 builds on
    Ubuntu (Closes: #903422).

 -- Gregor Riepl <onitake@gmail.com>  Mon, 16 Jul 2018 06:21:29 +0000

libsavitar (3.3.0-1) unstable; urgency=medium

  * New upstream version 3.3.0
  * Migrated to salsa

 -- Gregor Riepl <onitake@gmail.com>  Mon, 18 Jun 2018 18:59:27 +0200

libsavitar (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1
  * Set Multi-Arch:same to enable co-installability

 -- Gregor Riepl <onitake@gmail.com>  Fri, 16 Mar 2018 08:53:18 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,20 @@
 Priority: optional
 Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
 Uploaders: Gregor Riepl <onitake@gmail.com>
-Build-Depends: debhelper (>= 10), cmake (>=2.8.12), dh-python,
+Build-Depends: debhelper (>=10.2.1), cmake (>=2.8.12), dh-python,
  libpugixml-dev (>=1.7),
- python3-all-dev, python3-sip-dev
-Standards-Version: 4.1.2
+ python3-dev,
+ python3-sip-dev (>> 4.19.12+dfsg-1) | python3-sip-dev (<< 4.19.11+dfsg-1)
+Standards-Version: 4.1.4
 Section: libs
 X-Python3-Version: >= 3.5
 Homepage: https://github.com/Ultimaker/libSavitar
-Vcs-Browser: https://anonscm.debian.org/cgit/3dprinter/packages/libsavitar.git/
-Vcs-Git: https://anonscm.debian.org/git/3dprinter/packages/libsavitar.git
+Vcs-Browser: https://salsa.debian.org/3dprinting-team/libsavitar
+Vcs-Git: https://salsa.debian.org/3dprinting-team/libsavitar.git
 
 Package: libsavitar0
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: 3MF file handling library (shared library)
  Savitar is a C++ library with Python 3 bindings for
@@ -28,6 +30,7 @@
 Package: libsavitar-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libsavitar0 (= ${binary:Version}), libpugixml-dev (>=1.7), ${misc:Depends}
 Description: 3MF file handling library (development files)
  Savitar is a C++ library with Python 3 bindings for
@@ -42,6 +45,7 @@
 Package: python3-savitar
 Section: python
 Architecture: any
+Multi-Arch: same
 Depends: libsavitar0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
 Description: 3MF file handling library (Python bindings)
  Savitar is a C++ library with Python 3 bindings for

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
# Apply hardening flags (see: https://wiki.debian.org/Hardening#Notes_for_packages_using_CMake)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem=cmake --with python3

## libsavitar 4.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,40 +1,49 @@
 project(savitar)
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.6)
 
 include(GNUInstallDirs)
 include(CMakePackageConfigHelpers)
+include(GenerateExportHeader)
 
 option(BUILD_PYTHON "Build " ON)
 option(BUILD_STATIC "Build as a static library" OFF)
+option(BUILD_TESTS "Building the test-suite" OFF)
 
+if(BUILD_TESTS)
+    message(STATUS "Building with tests...")
+    find_package(GTest REQUIRED)
+    find_package(Threads QUIET)
+endif()
 
 add_subdirectory(pugixml)
 
 if(BUILD_PYTHON)
-    set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
+    list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
+
+    # FIXME: Remove the code for CMake <3.12 once we have switched over completely.
+    # FindPython3 is a new module since CMake 3.12. It deprecates FindPythonInterp and FindPythonLibs.
+    if(${CMAKE_VERSION} VERSION_LESS 3.12)
+        # Use FindPythonInterp and FindPythonLibs for CMake <3.12
+        find_package(PythonInterp 3.4 REQUIRED)
+        find_package(PythonLibs 3.4 REQUIRED)
+    else()
+        # Use FindPython3 for CMake >=3.12
+        find_package(Python3 3.4 REQUIRED COMPONENTS Interpreter Development)
+    endif()
+
     find_package(SIP REQUIRED)
     if(NOT DEFINED LIB_SUFFIX)
         set(LIB_SUFFIX "")
     endif()
-    if(EXISTS /etc/debian_version)
-        # Running on a debian-based system, which requires special handling for python modules.
-        set(PYTHON_SITE_PACKAGES_DIR lib${LIB_SUFFIX}/python3/dist-packages CACHE STRING "Directory to install Python bindings to")
-    else()
-        set(PYTHON_SITE_PACKAGES_DIR lib${LIB_SUFFIX}/python${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}/site-packages CACHE STRING "Directory to install Python bindings to")
-    endif()
-    include_directories(python/ src/ ${SIP_INCLUDE_DIR} ${PYTHON_INCLUDE_DIR})
+
+    include_directories(python/ src/ ${SIP_INCLUDE_DIRS} ${Python3_INCLUDE_DIRS})
 endif()
 
-if(NOT ${CMAKE_VERSION} VERSION_LESS 3.1)
-    set(CMAKE_CXX_STANDARD 11)
-else()
-    set(CMAKE_CXX_FLAGS "-std=c++11")
-endif()
+set(CMAKE_CXX_STANDARD 11)
 
 if(APPLE AND CMAKE_CXX_COMPILER_ID MATCHES "Clang")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
 endif()
-
 
 set(savitar_SRCS
     src/ThreeMFParser.cpp
@@ -53,10 +62,10 @@
     src/MeshData.h
     src/Vertex.h
     src/Face.h
-    src/SavitarExport.h
+    ${CMAKE_CURRENT_BINARY_DIR}/src/SavitarExport.h
 )
 
-set(SAVITAR_VERSION 0.1.0)
+set(SAVITAR_VERSION 0.1.1)
 set(SAVITAR_SOVERSION 0)
 
 set(CMAKE_INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR})
@@ -67,12 +76,15 @@
     add_library(Savitar SHARED ${savitar_SRCS})
 endif()
 
-target_link_libraries(Savitar PUBLIC pugixml)
+set(Savitar_LINK_LIBRARIES pugixml)
+if(CMAKE_USE_PTHREADS_INIT)
+    list(APPEND Savitar_LINK_LIBRARIES pthread)
+endif()
+target_link_libraries(Savitar PUBLIC ${Savitar_LINK_LIBRARIES})
 
 if(NOT WIN32 OR CMAKE_COMPILER_IS_GNUCXX)
     set_target_properties(Savitar PROPERTIES COMPILE_FLAGS -fPIC)
 endif()
-
 
 if(BUILD_PYTHON)
     set(SIP_EXTRA_FILES_DEPEND python/Types.sip python/MeshData.sip python/SceneNode.sip python/Scene.sip)
@@ -98,7 +110,16 @@
     SOVERSION ${SAVITAR_SOVERSION}
     PUBLIC_HEADER "${savitar_HDRS}"
     DEFINE_SYMBOL MAKE_SAVITAR_LIB
+    CXX_VISIBILITY_PRESET hidden
+    VISIBILITY_INLINES_HIDDEN 1
 )
+
+generate_export_header(Savitar
+    EXPORT_FILE_NAME src/SavitarExport.h
+)
+# This is required when building out-of-tree.
+# The compiler won't find the generated header otherwise.
+include_directories(${CMAKE_BINARY_DIR}/src)
 
 install(TARGETS Savitar
     EXPORT Savitar-targets
@@ -115,6 +136,30 @@
 configure_package_config_file(SavitarConfig.cmake.in ${CMAKE_BINARY_DIR}/SavitarConfig.cmake INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/Savitar)
 write_basic_package_version_file(${CMAKE_BINARY_DIR}/SavitarConfigVersion.cmake VERSION ${SAVITAR_VERSION} COMPATIBILITY SameMajorVersion)
 
+# List of tests. For each test there must be a file tests/${NAME}.cpp.
+set(savitar_TEST
+    ThreeMFParserTest
+    MeshDataTest
+)
+
+# Compiling the test environment.
+if (BUILD_TESTS)
+    include_directories(${GTEST_INCLUDE_DIR})
+
+    enable_testing()
+
+    #To make sure that the tests are built before running them, add the building of these tests as an additional test.
+    add_custom_target(build_all_tests)
+    add_test(BuildTests "${CMAKE_COMMAND}" --build ${CMAKE_CURRENT_BINARY_DIR} --target build_all_tests)
+
+    foreach (test ${savitar_TEST})
+        add_executable(${test} tests/main.cpp tests/${test}.cpp)
+        target_link_libraries(${test} Savitar ${GTEST_BOTH_LIBRARIES})
+        add_test(${test} ${test})
+        add_dependencies(build_all_tests ${test}) #Make sure that this gets built as part of the build_all_tests target.
+    endforeach()
+endif()
+
 install(FILES
     ${CMAKE_BINARY_DIR}/SavitarConfig.cmake
     ${CMAKE_BINARY_DIR}/SavitarConfigVersion.cmake

=== debian/changelog ===
libsavitar (4.4.1-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:20:42 +0100

libsavitar (4.4.1-2) unstable; urgency=medium

  * Team upload.

  [ Matthias Klose ]
  * Mark some more symbols as optional. (Closes: #950346)

 -- Christoph Berg <myon@debian.org>  Sun, 02 Feb 2020 21:22:22 +0100

libsavitar (4.4.1-1) unstable; urgency=medium

  * Team upload.

  [ Gregor Riepl ]
  * New upstream version 4.2.0
  * Updated standards
  * Enabled multi-Python build
  * Removed explicit Python 3.5 dependency, bullseye no longer needs it
  * Cleaned up API symbols file

  [ Christoph Berg ]
  * New upstream version 4.4.1.
  * Add patch to force python version in CMake.
  * tests: Depend on all python3 versions.

 -- Christoph Berg <myon@debian.org>  Tue, 28 Jan 2020 10:42:29 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Priority: optional
 Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
 Uploaders: Gregor Riepl <onitake@gmail.com>
-Build-Depends: debhelper (>=10.2.1), cmake (>=2.8.12), dh-python,
+Build-Depends: debhelper (>=10.2.1), cmake (>=3.12), dh-python,
  libpugixml-dev (>=1.7),
- python3-dev,
+ python3-all-dev,
  python3-sip-dev (>> 4.19.12+dfsg-1) | python3-sip-dev (<< 4.19.11+dfsg-1)
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Section: libs
-X-Python3-Version: >= 3.5
 Homepage: https://github.com/Ultimaker/libSavitar
 Vcs-Browser: https://salsa.debian.org/3dprinting-team/libsavitar
 Vcs-Git: https://salsa.debian.org/3dprinting-team/libsavitar.git
@@ -46,7 +45,8 @@
 Section: python
 Architecture: any
 Multi-Arch: same
-Depends: libsavitar0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Depends: libsavitar0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
+ ${python3:Depends}, ${sip3:Depends}
 Description: 3MF file handling library (Python bindings)
  Savitar is a C++ library with Python 3 bindings for
  reading and writing 3MF files.

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,7 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+export PYBUILD_CONFIGURE_ARGS=-DPYVER={version}
+
 %:
-	dh $@ --buildsystem=cmake --with python3
+	dh $@ --buildsystem=pybuild --with python3 --with sip3

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/libSavitar-$1\.tar\.gz/ \
  https://github.com/Ultimaker/libSavitar/tags .*/(\d\.\S+)\.tar\.gz

## libsavitar 4.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,6 +46,7 @@
 endif()
 
 set(savitar_SRCS
+    src/Namespace.cpp
     src/ThreeMFParser.cpp
     src/SceneNode.cpp
     src/Scene.cpp
@@ -55,6 +56,7 @@
 )
 
 set(savitar_HDRS
+    src/Namespace.h
     src/ThreeMFParser.h
     src/Types.h
     src/SceneNode.h
@@ -140,6 +142,7 @@
 set(savitar_TEST
     ThreeMFParserTest
     MeshDataTest
+    NamespaceTest
 )
 
 # Compiling the test environment.

=== debian/changelog ===
libsavitar (4.6.2-1) unstable; urgency=low

  * Team upload.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Christoph Berg ]
  * New upstream version.
  * Remove symbols file. Maintaining symbols for C++ libraries requires
    much more effort than it helps in solving actual problems. The latest
    breakage was induced by GCC 10. Also, we don't have any external reverse-
    dependencies anyway. (Closes: #957474)

 -- Christoph Berg <myon@debian.org>  Fri, 31 Jul 2020 19:14:04 +0200

libsavitar (4.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Mar 2020 22:10:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Priority: optional
 Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
 Uploaders: Gregor Riepl <onitake@gmail.com>
-Build-Depends: debhelper (>=10.2.1), cmake (>=3.12), dh-python,
- libpugixml-dev (>=1.7),
+Build-Depends: debhelper-compat (= 12),
+ cmake (>= 3.12), dh-python,
+ libpugixml-dev (>= 1.7),
  python3-all-dev,
  python3-sip-dev (>> 4.19.12+dfsg-1) | python3-sip-dev (<< 4.19.11+dfsg-1)
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://github.com/Ultimaker/libSavitar
 Vcs-Browser: https://salsa.debian.org/3dprinting-team/libsavitar

## libsavitar 4.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,16 +20,10 @@
 if(BUILD_PYTHON)
     list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-    # FIXME: Remove the code for CMake <3.12 once we have switched over completely.
-    # FindPython3 is a new module since CMake 3.12. It deprecates FindPythonInterp and FindPythonLibs.
-    if(${CMAKE_VERSION} VERSION_LESS 3.12)
-        # Use FindPythonInterp and FindPythonLibs for CMake <3.12
-        find_package(PythonInterp 3.4 REQUIRED)
-        find_package(PythonLibs 3.4 REQUIRED)
-    else()
-        # Use FindPython3 for CMake >=3.12
-        find_package(Python3 3.4 REQUIRED COMPONENTS Interpreter Development)
-    endif()
+    # FIXME: Use FindPython3 to find Python, new in CMake 3.12.
+    # However currently on our CI server it finds the wrong Python version and then doesn't find the headers.
+    find_package(PythonInterp 3.4 REQUIRED)
+    find_package(PythonLibs 3.4 REQUIRED)
 
     find_package(SIP REQUIRED)
     if(NOT DEFINED LIB_SUFFIX)
@@ -67,7 +61,7 @@
     ${CMAKE_CURRENT_BINARY_DIR}/src/SavitarExport.h
 )
 
-set(SAVITAR_VERSION 0.1.1)
+set(SAVITAR_VERSION 0.1.2)
 set(SAVITAR_SOVERSION 0)
 
 set(CMAKE_INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR})

=== debian/changelog ===
libsavitar (4.8-1) unstable; urgency=medium

  * New upstream version 4.8.
  * Refresh cmake patches, upstream uses PythonInterp/Libs now.
  * debian/watch: Handle -beta releases.
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Mon, 16 Nov 2020 10:11:46 +0100

libsavitar (4.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.7.1.

 -- Christoph Berg <myon@debian.org>  Sun, 06 Sep 2020 23:01:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libsavitar
 Priority: optional
 Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
-Uploaders: Gregor Riepl <onitake@gmail.com>
+Uploaders: Gregor Riepl <onitake@gmail.com>,
+ Christoph Berg <myon@debian.org>,
 Build-Depends: debhelper-compat (= 12),
  cmake (>= 3.12), dh-python,
  libpugixml-dev (>= 1.7),

=== debian/tests/control ===
Test-Command: for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import Savitar; print(Savitar)" ; done
Depends: @, python3-all

## libsavitar 4.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(savitar)
-cmake_minimum_required(VERSION 3.6)
+cmake_minimum_required(VERSION 3.8)
 
 include(GNUInstallDirs)
 include(CMakePackageConfigHelpers)
@@ -20,10 +20,18 @@
 if(BUILD_PYTHON)
     list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-    # FIXME: Use FindPython3 to find Python, new in CMake 3.12.
-    # However currently on our CI server it finds the wrong Python version and then doesn't find the headers.
-    find_package(PythonInterp 3.4 REQUIRED)
-    find_package(PythonLibs 3.4 REQUIRED)
+    # FIXME: Remove the code for CMake <3.12 once we have switched over completely.
+    # FindPython3 is a new module since CMake 3.12. It deprecates FindPythonInterp and FindPythonLibs.
+    if(${CMAKE_VERSION} VERSION_LESS 3.12)
+        # FIXME: Use FindPython3 to find Python, new in CMake 3.12.
+        # However currently on our CI server it finds the wrong Python version and then doesn't find the headers.
+        find_package(PythonInterp 3.4 REQUIRED)
+        find_package(PythonLibs 3.4 REQUIRED)
+
+    else()
+        # Use FindPython3 for CMake >=3.12
+        find_package(Python3 3.4 REQUIRED COMPONENTS Interpreter Development)
+    endif()
 
     find_package(SIP REQUIRED)
     if(NOT DEFINED LIB_SUFFIX)
@@ -33,7 +41,7 @@
     include_directories(python/ src/ ${SIP_INCLUDE_DIRS} ${Python3_INCLUDE_DIRS})
 endif()
 
-set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD 17)
 
 if(APPLE AND CMAKE_CXX_COMPILER_ID MATCHES "Clang")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
@@ -85,7 +93,7 @@
 if(BUILD_PYTHON)
     set(SIP_EXTRA_FILES_DEPEND python/Types.sip python/MeshData.sip python/SceneNode.sip python/Scene.sip)
     #set(SIP_EXTRA_SOURCE_FILES python/Types.cpp)
-    set(SIP_EXTRA_OPTIONS -g) # -g means always release the GIL before calling C++ methods.
+    set(SIP_EXTRA_OPTIONS -g -n PyQt5.sip) # -g means always release the GIL before calling C++ methods. -n PyQt5.sip is required to not get the PyCapsule error
     add_sip_python_module(Savitar python/ThreeMFParser.sip Savitar)
 endif()

=== debian/changelog ===
libsavitar (4.13.0-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 18:50:45 +0100

libsavitar (4.13.0-2) unstable; urgency=medium

  * Depend on python3-pyqt5.

 -- Christoph Berg <myon@debian.org>  Fri, 14 Jan 2022 09:42:49 +0100

libsavitar (4.13.0-1) unstable; urgency=medium

  [ Gregor Riepl ]
  * Mark autopkgtest as superficial. (Closes: #974499)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake, libpugixml-dev and
      python3-sip-dev.
    + libsavitar-dev: Drop versioned constraint on libpugixml-dev in Depends.

  [ Christoph Berg ]
  * New upstream version 4.13.0.

 -- Christoph Berg <myon@debian.org>  Fri, 14 Jan 2022 09:13:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: libsavitar
 Priority: optional
 Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
-Uploaders: Gregor Riepl <onitake@gmail.com>,
+Uploaders:
+ Gregor Riepl <onitake@gmail.com>,
  Christoph Berg <myon@debian.org>,
-Build-Depends: debhelper-compat (= 12),
- cmake (>= 3.12), dh-python,
- libpugixml-dev (>= 1.7),
+Build-Depends:
+ cmake,
+ debhelper-compat (= 12),
+ dh-python,
+ libpugixml-dev,
  python3-all-dev,
- python3-sip-dev (>> 4.19.12+dfsg-1) | python3-sip-dev (<< 4.19.11+dfsg-1)
+ python3-sip-dev,
 Standards-Version: 4.5.0
 Section: libs
 Homepage: https://github.com/Ultimaker/libSavitar
@@ -17,7 +20,9 @@
 Package: libsavitar0
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: 3MF file handling library (shared library)
  Savitar is a C++ library with Python 3 bindings for
  reading and writing 3MF files.
@@ -32,7 +37,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libsavitar0 (= ${binary:Version}), libpugixml-dev (>=1.7), ${misc:Depends}
+Depends:
+ libpugixml-dev,
+ libsavitar0 (= ${binary:Version}),
+ ${misc:Depends},
 Description: 3MF file handling library (development files)
  Savitar is a C++ library with Python 3 bindings for
  reading and writing 3MF files.
@@ -47,8 +55,13 @@
 Section: python
 Architecture: any
 Multi-Arch: same
-Depends: libsavitar0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
- ${python3:Depends}, ${sip3:Depends}
+Depends:
+ libsavitar0 (= ${binary:Version}),
+ python3-pyqt5,
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+ ${sip3:Depends},
 Description: 3MF file handling library (Python bindings)
  Savitar is a C++ library with Python 3 bindings for
  reading and writing 3MF files.

=== debian/tests/control ===
Test-Command: for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import Savitar; print(Savitar)" ; done
Restrictions: superficial
Depends:
 python3-all,
 @,

## libsavitar 5.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,51 +1,19 @@
 project(savitar)
-cmake_minimum_required(VERSION 3.8)
+cmake_minimum_required(VERSION 3.20)
+include(cmake/StandardProjectSettings.cmake)
 
-include(GNUInstallDirs)
 include(CMakePackageConfigHelpers)
 include(GenerateExportHeader)
 
 option(BUILD_PYTHON "Build " ON)
-option(BUILD_STATIC "Build as a static library" OFF)
 option(BUILD_TESTS "Building the test-suite" OFF)
 
 if(BUILD_TESTS)
     message(STATUS "Building with tests...")
     find_package(GTest REQUIRED)
-    find_package(Threads QUIET)
 endif()
 
 add_subdirectory(pugixml)
-
-if(BUILD_PYTHON)
-    list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
-
-    # FIXME: Remove the code for CMake <3.12 once we have switched over completely.
-    # FindPython3 is a new module since CMake 3.12. It deprecates FindPythonInterp and FindPythonLibs.
-    if(${CMAKE_VERSION} VERSION_LESS 3.12)
-        # FIXME: Use FindPython3 to find Python, new in CMake 3.12.
-        # However currently on our CI server it finds the wrong Python version and then doesn't find the headers.
-        find_package(PythonInterp 3.4 REQUIRED)
-        find_package(PythonLibs 3.4 REQUIRED)
-
-    else()
-        # Use FindPython3 for CMake >=3.12
-        find_package(Python3 3.4 REQUIRED COMPONENTS Interpreter Development)
-    endif()
-
-    find_package(SIP REQUIRED)
-    if(NOT DEFINED LIB_SUFFIX)
-        set(LIB_SUFFIX "")
-    endif()
-
-    include_directories(python/ src/ ${SIP_INCLUDE_DIRS} ${Python3_INCLUDE_DIRS})
-endif()
-
-set(CMAKE_CXX_STANDARD 17)
-
-if(APPLE AND CMAKE_CXX_COMPILER_ID MATCHES "Clang")
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
-endif()
 
 set(savitar_SRCS
     src/Namespace.cpp
@@ -69,32 +37,78 @@
     ${CMAKE_CURRENT_BINARY_DIR}/src/SavitarExport.h
 )
 
-set(SAVITAR_VERSION 0.1.2)
-set(SAVITAR_SOVERSION 0)
+set(SAVITAR_VERSION 5.0.0)
+set(SAVITAR_SOVERSION 5)
 
-set(CMAKE_INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR})
-
-if(BUILD_STATIC)
+if(BUILD_SHARED_LIBS)
+    add_library(Savitar SHARED ${savitar_SRCS})
+else()
     add_library(Savitar STATIC ${savitar_SRCS})
-else()
-    add_library(Savitar SHARED ${savitar_SRCS})
 endif()
 
-set(Savitar_LINK_LIBRARIES pugixml)
-if(CMAKE_USE_PTHREADS_INIT)
-    list(APPEND Savitar_LINK_LIBRARIES pthread)
-endif()
-target_link_libraries(Savitar PUBLIC ${Savitar_LINK_LIBRARIES})
+set_project_standards(Savitar)
 
-if(NOT WIN32 OR CMAKE_COMPILER_IS_GNUCXX)
-    set_target_properties(Savitar PROPERTIES COMPILE_FLAGS -fPIC)
-endif()
+set_rpath(TARGETS
+            Savitar
+          PATHS
+            "$<$<PLATFORM_ID:Linux>:usr/bin>"
+            "$<$<PLATFORM_ID:Linux>:usr/bin/lib>"
+            "$<$<PLATFORM_ID:Darwin>:../lib>"
+            "$<$<PLATFORM_ID:Darwin>:../Resources/lib>"
+           RELATIVE)
+
+target_link_libraries(Savitar PUBLIC pugixml)
 
 if(BUILD_PYTHON)
-    set(SIP_EXTRA_FILES_DEPEND python/Types.sip python/MeshData.sip python/SceneNode.sip python/Scene.sip)
-    #set(SIP_EXTRA_SOURCE_FILES python/Types.cpp)
-    set(SIP_EXTRA_OPTIONS -g -n PyQt5.sip) # -g means always release the GIL before calling C++ methods. -n PyQt5.sip is required to not get the PyCapsule error
-    add_sip_python_module(Savitar python/ThreeMFParser.sip Savitar)
+    list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
+
+    if(NOT DEFINED Python_VERSION)
+        set(Python_VERSION
+                3.10
+                CACHE STRING "Python Version" FORCE)
+        message(STATUS "Setting Python version to ${Python_VERSION}. Set Python_VERSION if you want to compile against an other version.")
+    endif()
+    if(APPLE)
+        set(Python_FIND_FRAMEWORK NEVER)
+    endif()
+    find_package(cpython ${Python_VERSION} QUIET COMPONENTS Interpreter Development)
+    if(NOT TARGET cpython::cpython)
+        find_package(Python ${Python_VERSION} EXACT REQUIRED COMPONENTS Interpreter Development)
+    else()
+        add_library(Python::Python ALIAS cpython::cpython)
+        set(Python_SITEARCH "${CMAKE_INSTALL_PREFIX}/lib/python${Python_VERSION}/site-packages")
+        set(Python_EXECUTABLE ${cpython_PACKAGE_FOLDER_RELEASE}/bin/python3)
+        set(ENV{PYTHONPATH} ${Python_SITEARCH})
+    endif()
+    message(STATUS "Linking and building ${project_name} against Python ${Python_VERSION}")
+
+    find_package(SIP REQUIRED 6.5.0)
+
+    add_library(pySavitar INTERFACE)
+    set_project_standards(pySavitar)
+    set_rpath(TARGETS
+                pySavitar
+              PATHS
+                "$<$<PLATFORM_ID:Linux>:usr/bin>"
+                "$<$<PLATFORM_ID:Linux>:usr/bin/lib>"
+                "$<$<PLATFORM_ID:Darwin>:../lib>"
+                "../../" # In distributions of Cura, the libSavitar dependency is 2 directories up from where pySavitar gets installed.
+               RELATIVE)
+
+    target_include_directories(pySavitar
+            INTERFACE
+            $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
+            $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/python/>
+            )
+
+    target_link_libraries(pySavitar INTERFACE Savitar Python::Python)
+
+    add_sip_module(pySavitar)
+    if(Python_SITELIB_LOCAL)
+        install_sip_module(pySavitar ${Python_SITELIB_LOCAL})
+    else()
+        install_sip_module(pySavitar)
+    endif()
 endif()
 
 target_include_directories(Savitar PUBLIC
@@ -104,7 +118,7 @@
 
 if(${CMAKE_BUILD_TYPE})
     if(${CMAKE_BUILD_TYPE} STREQUAL "Debug" OR ${CMAKE_BUILD_TYPE} STREQUAL "RelWithDebInfo")
-        add_definitions(-DSAVITAR_DEBUG)
+        target_compile_definitions(Savitar -DSAVITAR_DEBUG)
     endif()
 endif()

=== pugixml/CMakeLists.txt ===
--- 
+++ 
@@ -68,13 +68,3 @@
         configure_file(scripts/pugixml.pc.in ${PROJECT_BINARY_DIR}/pugixml.pc @ONLY)
         install(FILES ${PROJECT_BINARY_DIR}/pugixml.pc DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/pkgconfig)
 endif()
-
-if(BUILD_TESTS)
-        file(GLOB TEST_SOURCES tests/*.cpp)
-        file(GLOB FUZZ_SOURCES tests/fuzz_*.cpp)
-        list(REMOVE_ITEM TEST_SOURCES ${FUZZ_SOURCES})
-
-        add_executable(check ${TEST_SOURCES})
-        target_link_libraries(check pugixml)
-        add_custom_command(TARGET check POST_BUILD COMMAND check WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
-endif()

=== debian/changelog ===
libsavitar (5.0.0-4.1build5) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 21:54:08 +0000

libsavitar (5.0.0-4.1build4) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:24:28 +0000

libsavitar (5.0.0-4.1build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 14 Nov 2024 01:26:40 +0000

libsavitar (5.0.0-4.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:34:57 +0000

libsavitar (5.0.0-4.1build1) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Mar 2024 21:17:47 +0100

libsavitar (5.0.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062616

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 17:30:13 +0000

libsavitar (5.0.0-4) unstable; urgency=medium

  * Remove dependency on SIP 4.x, it's no longer needed

 -- Gregor Riepl <onitake@gmail.com>  Thu, 11 Jan 2024 11:40:01 +0100

libsavitar (5.0.0-3) unstable; urgency=medium

  * debian/tests: Python module got renamed to pySavitar.

 -- Christoph Berg <myon@debian.org>  Wed, 05 Jul 2023 16:38:57 +0200

libsavitar (5.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Christoph Berg <myon@debian.org>  Sun, 02 Jul 2023 19:35:33 +0000

libsavitar (5.0.0-1) experimental; urgency=medium

  [ Sebastian Kuzminsky ]
  * New upstream version 5.0.0.
  * Refresh patches.
  * pq 2004: add a patch to let PYVER override Python_VERSION.
  * Build-depend on sip6.
  * Depend on python3-pyqt6.

  [ Christoph Berg ]
  * Bump libsavitar soname to 5.

 -- Christoph Berg <myon@debian.org>  Fri, 27 May 2022 15:44:32 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 export PYBUILD_CONFIGURE_ARGS=-DPYVER={version}
 
 %:
-	dh $@ --buildsystem=pybuild --with python3 --with sip3
+	dh $@ --buildsystem=pybuild --with python3

=== debian/tests/control ===
Test-Command: for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import pySavitar; print(pySavitar)" ; done
Restrictions: superficial
Depends:
 python3-all,
 @,
